Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxTypes.h File Reference This file contains basic types used by the IXP425 software. More... Go to the source code of this file.
## Defines
#define | OK
#define | ERROR
#define | NELEMENTS(x)
#define | IX_SUCCESS
| Standard return values.
#define | IX_FAIL
#define | TRUE
| Definition of TRUE.
#define | FALSE
| Definition of FALSE.
#define | NULL
| definition of NULL
#define | PRIVATE
## Typedefs
typedef void(* | IxVoidFnPtr )(void)
typedef void(* | IxVoidFnVoidPtr )(void *)
typedef int(* | FUNCPTR )(void)
typedef int | STATUS
typedef int | BOOL
typedef unsigned char | UCHAR
typedef unsigned short | USHORT
typedef unsigned int | UINT
typedef unsigned long | ULONG
typedef char | INT8
typedef short | INT16
typedef int | INT32
typedef unsigned char | UINT8
typedef unsigned short | UINT16
typedef unsigned int | UINT32
typedef unsigned long long | UINT64
typedef void | VOID
typedef volatile UINT32 | VUINT32
typedef volatile INT32 | VINT32
typedef UINT32 | IX_STATUS
## Detailed Description This file contains basic types used by the IXP425 software. Date: 28-NOV-2001 Design Notes: This file shall only include fundamental types and definitions to be shared by all the IXP425 components. Please DO NOT add component-specific types here. Version: Revision 1.32 -- Intel Copyright Notice -- Copyright 2001-2003 Intel Corporation All Rights Reserved. The source code contained or described herein and all documents related to the source code ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material remains with Intel Corporation or its suppliers and licensors. The Material is protected by worldwide copyright and trade secret laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed, or disclosed in any way except in accordance with the applicable license agreement . No license under any patent, copyright, trade secret or other intellectual property right is granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by implication, inducement, estoppel, except in accordance with the applicable license agreement. Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel's suppliers or licensors in any way. For further details, please see the file README.TXT distributed with this software. -- End Intel Copyright Notice -- Definition in file IxTypes.h.
Automatically generated from sources. © Intel Corp. 2003